net.minecraftforge.client.gui

## Class ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase
  - - cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry
    - - net.minecraftforge.client.gui.ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry

- All Implemented Interfaces:
    GuiConfigEntries.IConfigEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    ForgeGuiFactory.ForgeConfigGui

      public static class ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry
      extends GuiConfigEntries.CategoryEntry

  This custom list entry provides the Forge Chunk Manager Config entry on the Minecraft Forge Configuration screen. It extends the base Category entry class and defines the IConfigElement objects that will be used to build the child screen.

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `btnSelectCategory, childScreen`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `btnDefault, btnUndoChanges, configElement, defaultHoverChecker, defaultToolTip, drawLabel, isValidValue, mc, name, owningEntryList, owningScreen, toolTip, tooltipHoverChecker, undoHoverChecker, undoToolTip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry(GuiConfig owningScreen, GuiConfigEntries owningEntryList, IConfigElement prop)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GuiScreen` | `buildChildScreen()` This method is called in the constructor and is used to set the childScreen field.

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `drawEntry, drawToolTip, enabled, getCurrentValue, getCurrentValues, getEntryRightBound, getLabelWidth, isChanged, isDefault, keyTyped, mouseClicked, mousePressed, mouseReleased, saveConfigElement, setToDefault, undoChanges, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `getConfigElement, getName, onGuiClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry

          public ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry(GuiConfig owningScreen,
                                                         GuiConfigEntries owningEntryList,
                                                         IConfigElement prop)

  - ### Method Detail

    - #### buildChildScreen

          protected GuiScreen buildChildScreen()

      Description copied from class: `GuiConfigEntries.CategoryEntry`
      This method is called in the constructor and is used to set the childScreen field.
      Overrides:
        `buildChildScreen` in class `GuiConfigEntries.CategoryEntry`